import { SegmentInput } from '../dist/runtime/registry/segment.js';
import { PlausibleAnalyticsInput } from '../dist/runtime/registry/plausible-analytics.js';
import { GoogleAnalyticsInput } from '../dist/runtime/registry/google-analytics.js';
import { RegistryScripts } from '../dist/runtime/types.js';

declare function GoogleAnalyticsScriptResolver(options?: GoogleAnalyticsInput): string;
declare function PlausibleAnalyticsScriptResolver(options: PlausibleAnalyticsInput): string;
declare function CloudflareWebAnalyticsScriptResolver(): string;
declare function SegmentScriptResolver(options: SegmentInput): string;
declare function MetaPixelScriptResolver(): string;
declare const registry: (resolve?: (s: string) => string) => RegistryScripts;

export { CloudflareWebAnalyticsScriptResolver, GoogleAnalyticsScriptResolver, MetaPixelScriptResolver, PlausibleAnalyticsScriptResolver, SegmentScriptResolver, registry };
